> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/knowledge-base/how-to-articles/performance-diagnostic.md).

# Performance diagnostic

When a performance issue occurs while using Remote Desktop Manager Windows, the support team may ask you to send a few details regarding your workspace, system settings, etc. Follow one of the two methods below to gather the information and send it the support team.

### Send performance trace via Remote Desktop Manager

1. Open ***File*** – ***My workspace information***.
2. Click on the ***Email report to support*** button to send the information to the support team.
3. Open ***Help*** – ***System diagnostic***.
4. Click on the ***Send*** button.
5. Include enough information to link the report to the appropriate ticket. Remember to enter your username if the process was started from the forum.
6. Next, go to ***Help*** – ***Performance profiling.***
7. In Remote Desktop Manager, hold the <kbd>Ctrl</kbd> key and press the refresh button.
8. Information will be added in the ***Performance*** tab of the performance profiling window opened during step #6.
9. Click on the ***Send trace to support*** button. Again, ensure that you include enough information to link the report to the appropriate ticket, and enter your forum username if the process was started from the forum.

### Email a Disk usage by Top Tables report via SSMS

For Devolutions Server, SQL, and SQL Azure workspaces, a ***Disk usage by Top Tables*** ***report*** from ***SQL Server Management Studio (SSMS)*** can be generated in order to assess the number of records in specific database tables. Here's how to do so:

1. Open ***SQL Server Management Studio (SSMS)***.
2. Right-click the database and select ***Reports*** – ***Standard Reports*** – ***Disk Usage by Top Tables***.
3. Send the report to <service@devolutions.net>.

Here is an example of what the report looks like.

![](https://cdnweb.devolutions.net/docs/DVLS6078_2024_2.png)

Here is the ***SQL query*** to get the same result if the database is hosted on Azure.

````
SELECT TOP 1000
        a3.name AS SchemaName,
        a2.name AS TableName,
        a1.rows as Row_Count,
        (a1.reserved )* 8.0 / 1024 AS reserved_mb,
        a1.data * 8.0 / 1024 AS data_mb,
        (CASE WHEN (a1.used ) > a1.data THEN (a1.used ) - a1.data ELSE 0 END) * 8.0 / 1024 AS index_size_mb,
        (CASE WHEN (a1.reserved ) > a1.used THEN (a1.reserved ) - a1.used ELSE 0 END) * 8.0 / 1024 AS unused_mb
    FROM    (   SELECT
                ps.object_id,
                SUM ( CASE WHEN (ps.index_id < 2) THEN row_count    ELSE 0 END ) AS [rows],
                SUM (ps.reserved_page_count) AS reserved,
                SUM (CASE   WHEN (ps.index_id < 2) THEN (ps.in_row_data_page_count + ps.lob_used_page_count + ps.row_overflow_used_page_count)
                            ELSE (ps.lob_used_page_count + ps.row_overflow_used_page_count) END
                    ) AS data,
                SUM (ps.used_page_count) AS used
                FROM sys.dm_db_partition_stats ps
                GROUP BY ps.object_id
            ) AS a1
    INNER JOIN sys.all_objects a2  ON ( a1.object_id = a2.object_id )
    INNER JOIN sys.schemas a3 ON (a2.schema_id = a3.schema_id)
    WHERE a2.type <> N'S' and a2.type <> N'IT'
    order by a1.reserved desc
```<div data-gb-custom-block data-tag="hint" data-style='info'>For Devolutions Server workspaces, the [Cleanup logs](https://docs.devolutions.net/server/web-interface/administration/logs/cleanup-logs/) feature (***Administration*** – ***Logs*** – ***Clean up logs, i***n the Devolutions Server web interface) can help reduce the number of records in the report table by automatically archiving/deleting old logs.</div>
````


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/rdm/knowledge-base/how-to-articles/performance-diagnostic.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
